;CSDM Configuration File
; Default settings by BAILOPAN

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;You must be running the Main plugin for this section
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[settings]

;Sets whether CSDM is enabled or not.
enabled = 0

;Sets whether or not players should be stripped of weapons on round start
; (excludes knife)
strip_weapons = 1

;Sets how long weapons should stay on the ground for after being dropped
;in seconds.  note that enabling this can create lots of lag for clients 
; AND server.  0 is immediate, -1 is infinite.
weapons_stay = 0

;Sets the spawn mode.
; "none" - users spawn at normal map spawn points
; "preset" - csdm_spawn_preset.amxx required, uses predefined spawns in config files
; -- others may be supplied by 3rd party plugins
spawnmode = preset

;Sets whether the bomb is removed
remove_bomb = 1

;Sets the spawn waiting time
spawn_wait_time = 0.75

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;You must be running the FFA plugin for this section
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[ffa]
;Set whether free for all mode is enabled by default
enabled = 0

;Set whether the radar is scrambled (0) or hidden at all (1)
radar_disable = 0

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;You must be running the Misc plugin for this section
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[misc]
;Map objectives are removed by their flags.
; a - as_ maps
; b - buyzones are removed
; c - cs_ maps
; d - de_ maps
remove_objectives = abcd

;Blocks people from using all buy commands
block_buy = 1

;Auto-refills ammo when it gets depleted
ammo_refill = 1

;Says a radio command to a player when they respawn
spawn_radio_msg = 0


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;You must be running the Stripper plugin for this section
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[stripper]
;Is stripping entities enabled?
enabled = 1

;write here the list of entities You want to remove from the map
;Note: 
;It's not recommended to put more then these listed below.
;HL sometimes behaves strange when You want to remove some entities
;so the plugin author cannot give You the warranty it will work
;with all entities You will write here. 
;These default ones below are tested and the game is not crashing with them

class = player_weaponstrip
class = game_player_equip
class = item_healthkit
class = item_battery
class = armoury_entity
class = item_longjump


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;You must be running the ticketing plugin for this section
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[ticketing]

;Is round ticketing enabled?
enabled = 0

;Number of times a team can have players respawn before they stop
;being able to respawn or (if the ticketing_player is enabled)
;number of times the player is able to respawn during one round
tickets = 10

;Shows the state of tickets: 0 - disabled, 1 - as HUD, 2 - as chat
show_state = 1

;Ticketing is counted for team (0) or separatelly for each player (1)
ticketing_player = 0

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;You must be running the protection plugin for this section
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[protection]

;Is spawn protection enabled?
enabled = 1

;Colors of glow shell, leave this in quotes
;The digits are R, G, B, A where A is the alpha transparency
; (as A gets higher, the glow shell is thicker)
colorst = "255 0 0 200"
colorsct = "0 0 255 200"

;Number of seconds someone is protected after respawn.
time = 3

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;You must be running the equip plugin for these sections
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[equip]

;Equip Menu flags: 
; p - primary
; s - secondary
; a - armor
; g - grenade
; b - buy
menus = ps

;Autoitem flags:
; a - armor
; h - helmet
; g - grenades
; d - defusekit (CTs only!)
; n - nightvision
autoitems = ahg

;Grenade flags:
; f - flashbang
; h - he grenade
; s - smoke grenade
grenades = fhs

;Sets number of flashbangs given if
; grenades are enabled
fnadesnum = 1

;Enables the guns menu always when the players uses say "guns"
always_allow_gunmenu = 0

;;;;;;;;;;;;;;;;
;;WEAPON MENUS;;
;;;;;;;;;;;;;;;;

;Format for weapon menus is:
;shortname "Display Name" menupage
;Change the '1' to a '0' to block the weapon
;Removing or moving things 
;  from the list will change the order of the menus!

[secondary]
usp USP 1
glock18 Glock 1
deagle Deagle 1
p228 P228 1
elite Elite 1
fiveseven "Five Seven" 1

[primary]
m4a1 M4A1 1
ak47 AK47 1
aug AUG 1
sg552 SG552 1
galil Galil 1
famas Famas 1
scout Scout 1
awp AWP 1
sg550 SG550 1
m249 M249 1
g3sg1 G3SG1 1
ump45 "UMP 45" 1
mp5navy "MP5 Navy" 1
m3 M3 1
xm1014 XM1014 1
tmp TMP 1
mac10 "Mac 10" 1
p90 P90 1


;List weapons here the bots can randomly have
;The short name must match one in the list above
[botsecondary]
deagle
usp
elite
fiveseven

[botprimary]
ak47
m4a1
aug
sg552
;galil
;famas
;scout
awp
sg550
;m249
g3sg1
;mp5navy
;m3
;xm1014


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;You must be running the item mode plugin for this section
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[items]

;Is item mode enabled?
enabled = 0

;If set to 1, players will drop a pack of goodies when they die.
drop_packs = 0

;Sets the number of armor given by a battery. Default is 15.
battery = 15

;Sets the number of health given by a medkit. Default is 15.
medkit = 15

;Sets the time to wait for an item to reappear on its place. Default is 20 (0 = permanent)
item_time = 20

;Sets how long packs stay on the ground. (Max is 30 seconds)
drop_time = 0

;Remove semicolons to restrict any of the following items
; or add the short weapon names of the weapons you want to restrict (m4a1, ak47, awp ...)
[item_restrictions]
;m4a1
;ak47
;aug
;sg552
;galil
;famas
;scout
;awp
;sg550
;m249
;g3sg1
;ump45
;mp5navy
;m3
;xm1014
;tmp
;mac10
;p90
;elite
;longjump
;medkit
;battery
;pistolammo
;rifleammo
;shotammo
;smgammo
;awpammo
;paraammo
;fullammo
;armor
;flashbang
;hegrenade
;smokegrenade
